services:
  telnowedge_device_logger:
    class: Symfony\Bridge\Monolog\Logger
    factory: 'Telnowedge\BaseBundle\Logger\Logger::getLoggerFactory'
    arguments:
      $logger: '@logger'
    tags:
      - {name: monolog.logger, channel: telnowedge_device}

  Telnowedge\DeviceBundle\Manager\FormManager:
    calls:
      - method: setContainer
        arguments:
          - '@service_container'

  Telnowedge\DeviceBundle\Manager\RequestManager:
    calls:
      - method: setContainer
        arguments:
          - '@service_container'

  Telnowedge\DeviceBundle\Repository\DeviceRepository:
    parent: Telnowedge\BaseBundle\Repository\AbstractLinkRepository

  Telnowedge\DeviceBundle\Form\PhoneProvisionType:
    calls:
      - method: setContainer
        arguments:
          - '@service_container'
    tags:
      - "form.type"

  Telnowedge\DeviceBundle\Form\UserType:
    calls:
      - method: setContainer
        arguments:
          - '@service_container'
    tags:
      - "form.type"

  Telnowedge\DeviceBundle\Provider\ApiAddressGouv: ~
